{ 4I27 DEMO SOFTWARE - TEST PROGRAM FOR 4I27 }
program READ4I27;
uses CRT;
{$R+}    {Range checking }
{$S+}    {Stack checking }
{$I+}    {I/O checking }

{$I 4I28LOW }                 { include low level 4I27 I/O }
{ program simple motion test for 4I28 }

const I28Card = $220;                          { default 4I27 location }

var

Motor0 : motor;
Motor1 : motor;
Motor2 : motor;
Motor3 : motor;
fookey : char;

procedure DoReads;
begin
  while not KeyPressed do
  begin
    gotoxy(1,4);
    write('Motor 0 position = ');
    write(ReadRealPosition(Motor0) : 10,'         ');
    gotoxy(1,6);
    write('Motor 1 position = ');
    write(ReadRealPosition(Motor1) : 10,'         ');
    gotoxy(1,8);
    write('Motor 2 position = ');
    write(ReadRealPosition(Motor2) : 10,'         ');
    gotoxy(1,10);
    write('Motor 3 position = ');
    write(ReadRealPosition(Motor3) : 10,'         ');
    writeln;
  end; {while}
  fookey := Readkey;
end;

procedure Setup;

begin
  DirectVideo:= false;
  writeln('About to reset the 4I28');
  if not Reset4I28(I28Card) then
  begin
    writeln('Couldn''t reset 4I28 card... muddle on!');
  end
  else
  begin
    writeln('LM629''S sucessfully reset...');
    writeln('Proceeding with set-up');
  end;
  AssignMotor(Motor0,I28Card,0);               { assign motor 0 to first half of first card }
  AssignMotor(Motor1,I28Card,1);               { assign motor 1 to second half of second card }
  AssignMotor(Motor2,I28Card,2);               { assign motor 0 to first half of first card }
  AssignMotor(Motor3,I28Card,3);               { assign motor 1 to second half of second card }
  TurnOffMotor(Motor0);
  TurnOffMotor(Motor1);
  TurnOffMotor(Motor2);
  TurnOffMotor(Motor3);
  DisableHBridge(Motor0);
  DisableHBridge(Motor1);
  DisableHBridge(Motor2);
  DisableHBridge(Motor3);
  DefineHome(Motor0);
  DefineHome(Motor1);
  DefineHome(Motor2);
  DefineHome(Motor3);
  ClrScr;
end;

begin
  Setup;
  DoReads;
  port[I28Card+$0C] := $F0;
  DoReads;
end.


